%define		pearname	Yaml
%define		php_min_version 5.3.3
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 Yaml Component
Name:		php-symfony2-Yaml
Version:	2.3.4
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	http://pear.symfony.com/get/%{pearname}-%{version}.tgz
# Source0-md5:	a9b80997accb22e76d792884f9406576
URL:		http://pear.symfony.com/package/Yaml/
BuildRequires:	php-channel(pear.symfony.com)
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php-channel(pear.symfony.com)
Requires:	php-pear >= 1.3.10
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The YAML Component loads and dumps YAML files.

%prep
%pear_package_setup

# no packaging of tests
mv .%{php_pear_dir}/Symfony/Component/%{pearname}/Tests .
mv .%{php_pear_dir}/Symfony/Component/Yaml/phpunit.xml.dist .

# fixups
mv docs/%{pearname}/Symfony/Component/%{pearname}/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%dir %{php_pear_dir}/Symfony/Component/Yaml
%{php_pear_dir}/Symfony/Component/Yaml/*.php
%{php_pear_dir}/Symfony/Component/Yaml/Exception
%changelog
* Mon Sep 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Yaml.git;a=log;h=master

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 109c7c2
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 841aa25
- up to 2.1.6

* Tue Dec 11 2012 Elan Ruusamäe <glen@delfi.ee> d22b129
- up to 2.1.4, release 2012-11-29

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 5aff703
- up to 2.1.2, from symfony2 channel

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 226900c
- rename to php-symfony2-Yaml

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 7933f13
- updated to: 1.0.6

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> 5216cc3
- updated to: 1.0.5

* Wed Oct 20 2010 Elan Ruusamäe <glen@pld-linux.org> 14e70fa
- initial from pear make-rpm-spec

